<?php

$url = "https://dniruc.apisperu.com/api/v1/dni/74043131?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6InNvdG9tYXlvcnN0ZXJAZ21haWwuY29tIn0.fYZBnuGA5LO8gH4umbJoYjwgw4PgYQ09B6ARTO3Cq9E";

$result = file_get_contents($url);
$data = json_decode($result, true);
print_r($data);
    			
    			exit;
$aņo = "2010";
$fecha_inicio = "2010-05-24";
$dia = date('w',strtotime($fecha_inicio));
if($dia == '1'){//Es lunes
	$fecha_1 = $fecha_inicio;
}else{
	
	while(1){
		$fecha_inicio = date('Y-m-d',strtotime($fecha_inicio ."+1 day"));
		$dia = date('w',strtotime($fecha_inicio));
		if($dia == '1') break;
	}

	
}
$fecha_1 = $fecha_inicio;
$i = 1;
while($aņo == '2010' || $aņo == '2011' || $aņo == '2012'){
	if($fecha_2){
		$fecha_1 = date('Y-m-d',strtotime($fecha_2 ."+1 day"));
		//$numerosemana = date('W',strtotime($fecha_2));
	}else{
		
	}
	
	$mes = date('m',strtotime($fecha_1));
	$aņo = date('Y',strtotime($fecha_1));
	
	
	$fecha_ = $fecha_1;
	$fecha_2 = date('Y-m-d',strtotime($fecha_ ."+6 day"));
	
	
	//$fecha_2 = date('Y-m-d',strtotime($fecha_1 ."+6 day"));
	//$numerosemana = date('W',strtotime($fecha_1));
	$numerosemana = $i;
	//echo $numerosemana."--".$fecha_1 ."**".$fecha_2."<br>";
	 
	ECHO "replace into cr_semanashabiles (Periodo,Semana,rango1,rango2) values ('".$aņo."-".$mes."',".$numerosemana.",'".$fecha_1."','".$fecha_2."');";
	echo "<br>";
	$i++;
}


?>